Mail archive
alpine-user

Re: [alpine-user] apk(1) error does not go away

From: William Pitcock <nenolod_at_dereferenced.org>
Date: Sat, 10 Feb 2018 19:06:54 -0600

Hello,

On Sat, Feb 10, 2018 at 6:33 PM, Steffen Nurpmeso <steffen_at_sdaoden.eu> wrote:
> William Pitcock <nenolod_at_dereferenced.org> wrote:
> |On Sat, Feb 10, 2018 at 2:59 PM, Steffen Nurpmeso <steffen_at_sdaoden.eu> \
> |wrote:
> |> Cág <ca6c_at_bitmessage.ch> wrote:
> |>|Steffen Nurpmeso wrote:
> |>|> Well last week or so a i interrupted an "apk upgrade" and ever
> |>|> since i get an error status even though the action is performed
> |>|> just fine, for example:
> ...
> |>|apk fix ?
> |>
> |> Does not really help it seems:
> |>
> |> ?0[_at_essex ]# apk fix
> |> (1/1) [APK unavailable, skipped] Reinstalling dma (20180131-r0)
> |> 1 error; 1256 MiB in 369 packages
> |> ?1[_at_essex ]#
> |>
> |
> |The issue is that something (probably a maintainer script) in your dma
> |package failed to run successfully and, now, the original package is
> |missing. If you do not have the package anymore because you don't
> |need it, you might do `apk del dma` to remove it. Otherwise, you will
> |need to supply a working dma package and then do `apk fix` for the
> |error to go away.
>
> Yes. Thank you again. The issue was indeed postfix being also
> installed and dma wanting to
>
> (1/1) Installing dma (0.11-r6)
> ERROR: dma-0.11-r6: trying to overwrite usr/sbin/sendmail owned by postfix-3.2.4-r1.
> ERROR: dma-0.11-r6: trying to overwrite usr/bin/mailq owned by postfix-3.2.4-r1.
>

If you want to have both postfix and dma installed at the same time,
you could put replaces="postfix" on the DMA package to get rid of this
error.

William


---
Unsubscribe:  alpine-user+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-user+help_at_lists.alpinelinux.org
---
Received on Sat Feb 10 2018 - 19:06:54 GMT